:root {
    /* cards */
    --card-bg-color:var(--primary);
    --card-hover-bg-color:var(--primary-light);
    --card-color:var(--primary-text);
    --card-image-bg-color:var(--primary-text);
    --card-padding:var(--margin-default);
    --card-border-radius:10px;
    --card-image-dimension:70px;
    --card-image-margin-right:10px;
}

/* SECTION CARDS */
#section-cards {
    
}

.card-list {
    text-align: center;
}


.card {
    position: relative;
    text-align: left;
    display: inline-block;
    vertical-align: top;
    background-color:var(--card-bg-color);
    color:var(--card-color);
    padding:var(--card-padding);
    border-radius:var(--card-border-radius,10px);
    width:300px;
    text-decoration: none;
    transition-property:box-shadow, background-color, top, left;
    transition-duration: 0.3s;
    margin:var(--margin-default,15px);
}

.card:hover {
    background-color:var(--card-hover-bg-color);
    box-shadow:5px 5px 10px rgba(0,0,0,0.5);
    transform:perspective(100px) translate3d(0,0,5px);
}

.card-image {
    float: left;
    border-radius: 50%;
    width:var(--card-image-dimension,70px);
    height:var(--card-image-dimension,70px);
    background-size: cover;
    background-color:var(--card-image-bg-color);
    margin-right:var(--card-image-margin-right,5px);
}
.card-content {
    margin-left: calc( var(--card-image-margin-right) + var(--card-image-dimension) );
}

.card-id {
    opacity: 0;
    transition:opacity 0.3s ease-in-out;
    position: absolute;
    left:var(--card-padding);
    top:var(--card-padding);
    font-family: var(--font-family-title);
    font-size: calc(var(--card-image-dimension) / 2);
    line-height: var(--card-image-dimension);
    width:var(--card-image-dimension);
    text-align: center;
    background-color:var(--card-bg-color);
    border-radius: 50%;
    color:var(--card-color);
    text-overflow: ellipsis;
    overflow: hidden;
}

.card:hover .card-id {
    opacity: 0.8;
}

.card-name, .card-surname {
    white-space: nowrap;
    overflow: hidden;
    text-overflow:ellipsis;
    line-height: calc(var(--card-image-dimension) / 2);
    font-size: calc(var(--card-image-dimension) / 2.5);
}

.card-surname {
    text-transform: uppercase;
    font-weight: 700;
}